## ros-noetic-planner-cspace 0.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(planner_cspace)

set(CATKIN_DEPENDS
  roscpp

  actionlib
  diagnostic_updater
  geometry_msgs
  move_base_msgs
  nav_msgs
  sensor_msgs
  std_srvs
  tf2
  tf2_geometry_msgs
  tf2_ros
  trajectory_msgs

  costmap_cspace
  costmap_cspace_msgs
  neonavigation_common
  planner_cspace_msgs
  trajectory_tracker_msgs
)

find_package(catkin REQUIRED COMPONENTS ${CATKIN_DEPENDS})
find_package(Boost REQUIRED COMPONENTS chrono)
find_package(OpenMP REQUIRED)
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS ${CATKIN_DEPENDS}
)


set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

add_compile_options(-funroll-loops -finline-functions ${OpenMP_CXX_FLAGS})
include_directories(include ${catkin_INCLUDE_DIRS})


add_executable(planner_3d
  src/costmap_bbf.cpp
  src/grid_astar_model_3dof.cpp
  src/motion_cache.cpp
  src/motion_primitive_builder.cpp
  src/path_interpolator.cpp
  src/planner_3d.cpp
  src/distance_map.cpp
  src/rotation_cache.cpp
)
target_link_libraries(planner_3d ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenMP_CXX_FLAGS})
add_dependencies(planner_3d ${catkin_EXPORTED_TARGETS})
set_property(TARGET planner_3d PROPERTY PUBLIC_HEADER
  include/planner_cspace/bbf.h
  include/planner_cspace/blockmem_gridmap.h
  include/planner_cspace/cyclic_vec.h
  include/planner_cspace/grid_astar.h
  include/planner_cspace/grid_astar_model.h
  include/planner_cspace/jump_detector.h
  include/planner_cspace/reservable_priority_queue.h
)

add_executable(planner_2dof_serial_joints
  src/planner_2dof_serial_joints.cpp
  src/grid_astar_model_2dof_joints.cpp
)
target_link_libraries(planner_2dof_serial_joints ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenMP_CXX_FLAGS})
add_dependencies(planner_2dof_serial_joints ${catkin_EXPORTED_TARGETS})

add_executable(dummy_robot src/dummy_robot.cpp)
target_link_libraries(dummy_robot ${catkin_LIBRARIES})
add_dependencies(dummy_robot ${catkin_EXPORTED_TARGETS})

add_executable(patrol src/patrol.cpp)
target_link_libraries(patrol ${catkin_LIBRARIES})
add_dependencies(patrol ${catkin_EXPORTED_TARGETS})


if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_subdirectory(test)
  find_package(roslint REQUIRED)
  roslint_cpp()
  roslint_add_test()
endif()


install(TARGETS
    dummy_robot
    patrol
    planner_2dof_serial_joints
    planner_3d
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  PUBLIC_HEADER DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== test/CMakeLists.txt ===
catkin_add_gtest(test_blockmem_gridmap src/test_blockmem_gridmap.cpp)
target_link_libraries(test_blockmem_gridmap ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_grid_astar src/test_grid_astar.cpp)
target_link_libraries(test_grid_astar ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenMP_CXX_FLAGS})

catkin_add_gtest(test_cyclic_vec src/test_cyclic_vec.cpp)
target_link_libraries(test_cyclic_vec ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_distance_map
  src/test_distance_map.cpp
  ../src/distance_map.cpp
  ../src/grid_astar_model_3dof.cpp
  ../src/motion_cache.cpp
  ../src/motion_primitive_builder.cpp
  ../src/rotation_cache.cpp
)
target_link_libraries(test_distance_map ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenMP_CXX_FLAGS})

catkin_add_gtest(test_grid_metric_converter src/test_grid_metric_converter.cpp)
target_link_libraries(test_grid_metric_converter ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_planner_3d_cost
  src/test_planner_3d_cost.cpp
  ../src/grid_astar_model_3dof.cpp
  ../src/motion_cache.cpp
  ../src/motion_primitive_builder.cpp
  ../src/rotation_cache.cpp
)
target_link_libraries(test_planner_3d_cost ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_costmap_bbf
  src/test_costmap_bbf.cpp
  ../src/costmap_bbf.cpp
)
target_link_libraries(test_costmap_bbf ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_motion_cache
  src/test_motion_cache.cpp
  ../src/motion_cache.cpp
)
target_link_libraries(test_motion_cache ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_motion_primitive_builder
  src/test_motion_primitive_builder.cpp
  ../src/motion_primitive_builder.cpp
  ../src/rotation_cache.cpp
)
target_link_libraries(test_motion_primitive_builder ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_path_interpolator
  src/test_path_interpolator.cpp
  ../src/path_interpolator.cpp
  ../src/rotation_cache.cpp
)
target_link_libraries(test_path_interpolator ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_rostest_gtest(test_debug_outputs
  test/debug_outputs_rostest.test
  src/test_debug_outputs.cpp
)
target_link_libraries(test_debug_outputs ${catkin_LIBRARIES})
add_dependencies(test_debug_outputs planner_3d)

add_rostest_gtest(test_navigate
  test/navigation_rostest.test
  src/test_navigate.cpp
)
target_link_libraries(test_navigate ${catkin_LIBRARIES})
add_dependencies(test_navigate planner_3d)

add_rostest(test/navigation_rostest.test
  ARGS antialias_start:=true
  DEPENDENCIES test_navigate
)

add_rostest(test/navigation_rostest.test
  ARGS antialias_start:=true fast_map_update:=true
  DEPENDENCIES test_navigate
)

add_rostest(test/navigation_rostest.test
  ARGS with_tolerance:=true
  DEPENDENCIES test_navigate
)

add_rostest(test/navigation_compat_rostest.test
  DEPENDENCIES test_navigate
)

add_rostest_gtest(test_navigate_boundary
  test/navigation_boundary_rostest.test
  src/test_navigate_boundary.cpp
)
target_link_libraries(test_navigate_boundary ${catkin_LIBRARIES})
add_dependencies(test_navigate_boundary planner_3d)

add_rostest_gtest(test_abort
  test/abort_rostest.test
  src/test_abort.cpp
)
target_link_libraries(test_abort ${catkin_LIBRARIES})
add_dependencies(test_abort planner_3d)

add_rostest_gtest(test_preempt
  test/preempt_rostest.test
  src/test_preempt.cpp
)
target_link_libraries(test_preempt ${catkin_LIBRARIES})
add_dependencies(test_preempt planner_3d)

add_rostest_gtest(test_costmap_watchdog
  test/costmap_watchdog_rostest.test
  src/test_costmap_watchdog.cpp
)
target_link_libraries(test_costmap_watchdog ${catkin_LIBRARIES})
add_dependencies(test_costmap_watchdog planner_3d)

add_rostest_gtest(test_planner_2dof_serial_joints
  test/planner_2dof_serial_joints_rostest.test
  src/test_planner_2dof_serial_joints.cpp
)
target_link_libraries(test_planner_2dof_serial_joints ${catkin_LIBRARIES})
add_dependencies(test_planner_2dof_serial_joints planner_2dof_serial_joints)

add_rostest_gtest(test_planner_3d_map_size
  test/planner_3d_map_size_rostest.test
  src/test_planner_3d_map_size.cpp
)
target_link_libraries(test_planner_3d_map_size ${catkin_LIBRARIES})
add_dependencies(test_planner_3d_map_size planner_3d)

add_rostest_gtest(test_tolerant_action
  test/tolerant_action_rostest.test
  src/test_tolerant_action.cpp
)
target_link_libraries(test_tolerant_action ${catkin_LIBRARIES})
add_dependencies(test_tolerant_action planner_3d)


if(NEONAVIGATION_EXTRA_TESTS)

  catkin_add_gtest(test_blockmem_gridmap_performance
    src/test_blockmem_gridmap_performance.cpp
  )
  target_link_libraries(test_blockmem_gridmap_performance ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenMP_CXX_FLAGS})
  # Force release build for performance test.
  set_target_properties(test_blockmem_gridmap_performance PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS_RELEASE}")

endif()

=== debian/changelog ===
ros-noetic-planner-cspace (0.12.0-1buster) buster; urgency=high

  * planner_cspace: add continuous movement mode to MoveWithTolerance (#652 <https://github.com/at-wat/neonavigation/issues/652>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.11.8-1buster) buster; urgency=high

  * planner_cspace: add missing array include (#658 <https://github.com/at-wat/neonavigation/issues/658>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 28 Dec 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.7-1buster) buster; urgency=high

  * planner_cspace: fix pose duplication on path interpolation (#648 <https://github.com/at-wat/neonavigation/issues/648>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.6-1buster) buster; urgency=high

  * planner_cspace: add more test case to Planner3DMapSize (#640 <https://github.com/at-wat/neonavigation/issues/640>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jul 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.5-1buster) buster; urgency=high

  * planner_cspace: fix access violation on wrong size costmap_update message (#637 <https://github.com/at-wat/neonavigation/issues/637>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 06 Jul 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.4-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.3-1buster) buster; urgency=high

  * planner_cspace: fix DistanceMap::init() (#625 <https://github.com/at-wat/neonavigation/issues/625>)
  * Fix flaky tests and add debug outputs (#628 <https://github.com/at-wat/neonavigation/issues/628>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Dec 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.11.2-1buster) buster; urgency=high

  * planner_cspace: Fix header of fihish path (#622 <https://github.com/at-wat/neonavigation/issues/622>)
  * Contributors: Kazuki Takahashi

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.11.1-1buster) buster; urgency=high

  * planner_cspace: refactor distance map generator (#617 <https://github.com/at-wat/neonavigation/issues/617>)
  * planner_cspace: recover error on FINISHING state (#615 <https://github.com/at-wat/neonavigation/issues/615>)
  * planner_cspace: fix flaky actionlib tests (#616 <https://github.com/at-wat/neonavigation/issues/616>)
  * planner_cspace: remove unused variable (#614 <https://github.com/at-wat/neonavigation/issues/614>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 29 Oct 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.11.0-1buster) buster; urgency=high

  * Apply clang-format-11 with new setting (#605 <https://github.com/at-wat/neonavigation/issues/605>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Aug 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.11-1buster) buster; urgency=high

  * planner_cspace: reset next_replan_time after waitUntil() (#602 <https://github.com/at-wat/neonavigation/issues/602>)
  * Contributors: Kazuki Takahashi

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Jun 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.10-1buster) buster; urgency=high

  * planner_cspace: fix goal unreachable condition (#595 <https://github.com/at-wat/neonavigation/issues/595>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.9-1buster) buster; urgency=high

  * planner_cspace: abort A* search on continuous timeout (#592 <https://github.com/at-wat/neonavigation/issues/592>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 16 Mar 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.8-1buster) buster; urgency=high

  * planner_cspace: improve performance of costmap reset (#587 <https://github.com/at-wat/neonavigation/issues/587>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.7-1buster) buster; urgency=high

  * planner_cspace: improve performance of hysteresis clearing (#586 <https://github.com/at-wat/neonavigation/issues/586>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 07 Mar 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.6-1buster) buster; urgency=high

  * planner_cspace: fix condition of open queue (#576 <https://github.com/at-wat/neonavigation/issues/576>)
  * planner_cspace: add debug output about cost_estim_cache update (#577 <https://github.com/at-wat/neonavigation/issues/577>)
  * planner_cspace: reuse open/erase queue (#575 <https://github.com/at-wat/neonavigation/issues/575>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 28 Jan 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.5-1buster) buster; urgency=high

  * planner_cspace: enable tolerance in make_plan (#570 <https://github.com/at-wat/neonavigation/issues/570>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 24 Dec 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.10.4-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.10.3-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.10.2-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.10.1-1buster) buster; urgency=high



=== debian/control ===
Source: ros-noetic-planner-cspace
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-catkin, ros-noetic-costmap-cspace, ros-noetic-costmap-cspace-msgs, ros-noetic-diagnostic-updater, ros-noetic-geometry-msgs, ros-noetic-map-server <!nocheck>, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-neonavigation-common, ros-noetic-planner-cspace-msgs (>= 0.7.0), ros-noetic-roscpp, ros-noetic-roslint <!nocheck>, ros-noetic-rostest <!nocheck>, ros-noetic-sensor-msgs, ros-noetic-std-srvs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-trajectory-msgs, ros-noetic-trajectory-tracker <!nocheck>, ros-noetic-trajectory-tracker-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-planner-cspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-costmap-cspace, ros-noetic-costmap-cspace-msgs, ros-noetic-diagnostic-updater, ros-noetic-geometry-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-neonavigation-common, ros-noetic-planner-cspace-msgs (>= 0.7.0), ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-srvs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-trajectory-msgs, ros-noetic-trajectory-tracker-msgs
Description: 3-dof configuration space planner for mobile robot

## ros-noetic-planner-cspace 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
   actionlib
   diagnostic_updater
+  dynamic_reconfigure
   geometry_msgs
   move_base_msgs
   nav_msgs
@@ -19,6 +20,7 @@
   costmap_cspace
   costmap_cspace_msgs
   neonavigation_common
+  neonavigation_metrics_msgs
   planner_cspace_msgs
   trajectory_tracker_msgs
 )
@@ -26,13 +28,18 @@
 find_package(catkin REQUIRED COMPONENTS ${CATKIN_DEPENDS})
 find_package(Boost REQUIRED COMPONENTS chrono)
 find_package(OpenMP REQUIRED)
+
+generate_dynamic_reconfigure_options(
+  cfg/Planner3D.cfg
+)
+
 catkin_package(
   INCLUDE_DIRS include
   CATKIN_DEPENDS ${CATKIN_DEPENDS}
 )
 
 
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 add_compile_options(-funroll-loops -finline-functions ${OpenMP_CXX_FLAGS})
@@ -50,7 +57,7 @@
   src/rotation_cache.cpp
 )
 target_link_libraries(planner_3d ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenMP_CXX_FLAGS})
-add_dependencies(planner_3d ${catkin_EXPORTED_TARGETS})
+add_dependencies(planner_3d ${catkin_EXPORTED_TARGETS} ${PROJECT_NAME}_gencfg)
 set_property(TARGET planner_3d PROPERTY PUBLIC_HEADER
   include/planner_cspace/bbf.h
   include/planner_cspace/blockmem_gridmap.h

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+include_directories(include)
+
 catkin_add_gtest(test_blockmem_gridmap src/test_blockmem_gridmap.cpp)
 target_link_libraries(test_blockmem_gridmap ${catkin_LIBRARIES} ${Boost_LIBRARIES})
 
@@ -16,6 +18,16 @@
   ../src/rotation_cache.cpp
 )
 target_link_libraries(test_distance_map ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenMP_CXX_FLAGS})
+
+catkin_add_gtest(test_distance_map_fast_update
+  src/test_distance_map_fast_update.cpp
+  ../src/distance_map.cpp
+  ../src/grid_astar_model_3dof.cpp
+  ../src/motion_cache.cpp
+  ../src/motion_primitive_builder.cpp
+  ../src/rotation_cache.cpp
+)
+target_link_libraries(test_distance_map_fast_update ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenMP_CXX_FLAGS})
 
 catkin_add_gtest(test_grid_metric_converter src/test_grid_metric_converter.cpp)
 target_link_libraries(test_grid_metric_converter ${catkin_LIBRARIES} ${Boost_LIBRARIES})
@@ -67,7 +79,7 @@
   src/test_navigate.cpp
 )
 target_link_libraries(test_navigate ${catkin_LIBRARIES})
-add_dependencies(test_navigate planner_3d)
+add_dependencies(test_navigate planner_3d patrol)
 
 add_rostest(test/navigation_rostest.test
   ARGS antialias_start:=true
@@ -137,6 +149,12 @@
 target_link_libraries(test_tolerant_action ${catkin_LIBRARIES})
 add_dependencies(test_tolerant_action planner_3d)
 
+add_rostest_gtest(test_dynamic_parameter_change
+  test/dynamic_parameter_change_rostest.test
+  src/test_dynamic_parameter_change.cpp
+)
+target_link_libraries(test_dynamic_parameter_change ${catkin_LIBRARIES})
+add_dependencies(test_dynamic_parameter_change planner_3d)
 
 if(NEONAVIGATION_EXTRA_TESTS)

=== debian/changelog ===
ros-noetic-planner-cspace (0.15.0-1focal) focal; urgency=high

  * planner_cspace: enable dynamic reconfigure (#714 <https://github.com/at-wat/neonavigation/issues/714>)
  * planner_space: fix segmentation fault on out-of-map (#712 <https://github.com/at-wat/neonavigation/issues/712>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 30 Aug 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.14.2-1focal) focal; urgency=high

  * planner_cspace: improve peformance of DistanceMap (#709 <https://github.com/at-wat/neonavigation/issues/709>)
  * planner_cspace: avoid multiple goal pose relocation (#708 <https://github.com/at-wat/neonavigation/issues/708>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 31 Jul 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.14.1-1focal) focal; urgency=high

  * planner_cspace: fix error status handling after cost_estim_cache_ was not created (#705 <https://github.com/at-wat/neonavigation/issues/705>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 07 Jul 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.14.0-1focal) focal; urgency=high

  * planner_cspace: publish planner_3d metrics (#701 <https://github.com/at-wat/neonavigation/issues/701>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 06 Jun 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.13.0-1focal) focal; urgency=high

  * planner_cspace: fix fast map update (#692 <https://github.com/at-wat/neonavigation/issues/692>)
  * planner_cspace: fix status when goal or robot is in rock on updating goal (#694 <https://github.com/at-wat/neonavigation/issues/694>)
  * planner_cspace: fix string template constexpr in test (#685 <https://github.com/at-wat/neonavigation/issues/685>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 31 May 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.12.2-1focal) focal; urgency=high

  * planner_cspace: fix planner_2dof_serial_joints status (#682 <https://github.com/at-wat/neonavigation/issues/682>)
  * planner_cspace: set timestamp to planner status message (#681 <https://github.com/at-wat/neonavigation/issues/681>)
  * planner_cspace: fix uninitialized variables in DistanceMap (#679 <https://github.com/at-wat/neonavigation/issues/679>)
  * planner_cspace: add scoped trace to some test cases (#680 <https://github.com/at-wat/neonavigation/issues/680>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 28 Feb 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.12.1-1focal) focal; urgency=high

  * Improve test logs on timeout (#673 <https://github.com/at-wat/neonavigation/issues/673>)
  * planner_cspace: fix map update range (#672 <https://github.com/at-wat/neonavigation/issues/672>)
  * planner_cspace: clear velocity of dummy_robot on position set (#669 <https://github.com/at-wat/neonavigation/issues/669>)
  * planner_cspace: fix flaky action tests (#665 <https://github.com/at-wat/neonavigation/issues/665>)
  * planner_cspace: fix planner_cspace_msgs version constraint (#663 <https://github.com/at-wat/neonavigation/issues/663>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 25 Feb 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.12.0-1focal) focal; urgency=high

  * planner_cspace: add continuous movement mode to MoveWithTolerance (#652 <https://github.com/at-wat/neonavigation/issues/652>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.11.8-1focal) focal; urgency=high

  * planner_cspace: add missing array include (#658 <https://github.com/at-wat/neonavigation/issues/658>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 28 Dec 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.7-1focal) focal; urgency=high

  * planner_cspace: fix pose duplication on path interpolation (#648 <https://github.com/at-wat/neonavigation/issues/648>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.6-1focal) focal; urgency=high

  * planner_cspace: add more test case to Planner3DMapSize (#640 <https://github.com/at-wat/neonavigation/issues/640>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jul 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.5-1focal) focal; urgency=high

  * planner_cspace: fix access violation on wrong size costmap_update message (#637 <https://github.com/at-wat/neonavigation/issues/637>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 06 Jul 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.4-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.3-1focal) focal; urgency=high

  * planner_cspace: fix DistanceMap::init() (#625 <https://github.com/at-wat/neonavigation/issues/625>)
  * Fix flaky tests and add debug outputs (#628 <https://github.com/at-wat/neonavigation/issues/628>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Dec 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.11.2-1focal) focal; urgency=high

  * planner_cspace: Fix header of fihish path (#622 <https://github.com/at-wat/neonavigation/issues/622>)
  * Contributors: Kazuki Takahashi

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.11.1-1focal) focal; urgency=high

  * planner_cspace: refactor distance map generator (#617 <https://github.com/at-wat/neonavigation/issues/617>)
  * planner_cspace: recover error on FINISHING state (#615 <https://github.com/at-wat/neonavigation/issues/615>)


=== debian/control ===
Source: ros-noetic-planner-cspace
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-catkin, ros-noetic-costmap-cspace, ros-noetic-costmap-cspace-msgs, ros-noetic-diagnostic-updater, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-map-server <!nocheck>, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-neonavigation-common, ros-noetic-neonavigation-metrics-msgs, ros-noetic-planner-cspace-msgs (>= 0.12.0), ros-noetic-roscpp, ros-noetic-roslint <!nocheck>, ros-noetic-rostest <!nocheck>, ros-noetic-sensor-msgs, ros-noetic-std-srvs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-trajectory-msgs, ros-noetic-trajectory-tracker <!nocheck>, ros-noetic-trajectory-tracker-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-planner-cspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-costmap-cspace, ros-noetic-costmap-cspace-msgs, ros-noetic-diagnostic-updater, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-neonavigation-common, ros-noetic-neonavigation-metrics-msgs, ros-noetic-planner-cspace-msgs (>= 0.12.0), ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-srvs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-trajectory-msgs, ros-noetic-trajectory-tracker-msgs
Description: 3-dof configuration space planner for mobile robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-planner-cspace//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-planner-cspace 0.17.7

=== debian/changelog ===
ros-noetic-planner-cspace (0.17.7-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 16 Apr 2025 00:00:00 -0000

ros-noetic-planner-cspace (0.17.6-1focal) focal; urgency=high

  * planner_cspace: fix flaky dynamic reconfigure test (#756 <https://github.com/at-wat/neonavigation/issues/756>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 18 Mar 2025 00:00:00 -0000

ros-noetic-planner-cspace (0.17.5-1focal) focal; urgency=high

  * planner_cspace: reconstuct GridAstarModel3D only when necessary (#751 <https://github.com/at-wat/neonavigation/issues/751>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 21 Feb 2025 00:00:00 -0000

ros-noetic-planner-cspace (0.17.4-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 20 Jan 2025 00:00:00 -0000

ros-noetic-planner-cspace (0.17.3-1focal) focal; urgency=high

  * planner_cspace: add costmap_cspace integration test for out-of-bound position (#746 <https://github.com/at-wat/neonavigation/issues/746>)
  * costmap_cspace: publish empty costmap_update on out-of-bound (#743 <https://github.com/at-wat/neonavigation/issues/743>)
  * planner_cspace: reduce remember_updates calculation cost (#742 <https://github.com/at-wat/neonavigation/issues/742>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 25 Dec 2024 00:00:00 -0000

ros-noetic-planner-cspace (0.17.2-1focal) focal; urgency=high

  * planner_3d: apply turn_penalty_cost_threshold in curve path (#739 <https://github.com/at-wat/neonavigation/issues/739>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 07 Nov 2024 00:00:00 -0000

ros-noetic-planner-cspace (0.17.1-1focal) focal; urgency=high

  * planner_3d: remove duplicated interpolation method (#733 <https://github.com/at-wat/neonavigation/issues/733>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 Mar 2024 00:00:00 -0000

ros-noetic-planner-cspace (0.17.0-1focal) focal; urgency=high

  * planner_3d: add an option to trigger planning by costmap updates (#727 <https://github.com/at-wat/neonavigation/issues/727>)
  * planner_3d: fix cost calculation bug on in-place turning (#725 <https://github.com/at-wat/neonavigation/issues/725>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Nov 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.16.0-1focal) focal; urgency=high

  * planner_cspace: start planning from expected robot pose (#717 <https://github.com/at-wat/neonavigation/issues/717>)
  * planner_cspace: add new parameters for cost function (#720 <https://github.com/at-wat/neonavigation/issues/720>)
  * planner_cspace: refactor start pose building algorithm and fix finishing condition when start is relocated (#718 <https://github.com/at-wat/neonavigation/issues/718>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 14 Sep 2023 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-planner-cspace
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-catkin, ros-noetic-costmap-cspace, ros-noetic-costmap-cspace-msgs, ros-noetic-diagnostic-updater, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-map-server <!nocheck>, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-neonavigation-common, ros-noetic-neonavigation-metrics-msgs, ros-noetic-planner-cspace-msgs (>= 0.12.0), ros-noetic-roscpp, ros-noetic-roslint <!nocheck>, ros-noetic-rostest <!nocheck>, ros-noetic-sensor-msgs, ros-noetic-std-srvs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-trajectory-msgs, ros-noetic-trajectory-tracker, ros-noetic-trajectory-tracker <!nocheck>, ros-noetic-trajectory-tracker-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-planner-cspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-costmap-cspace, ros-noetic-costmap-cspace-msgs, ros-noetic-diagnostic-updater, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-neonavigation-common, ros-noetic-neonavigation-metrics-msgs, ros-noetic-planner-cspace-msgs (>= 0.12.0), ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-srvs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-trajectory-msgs, ros-noetic-trajectory-tracker, ros-noetic-trajectory-tracker-msgs
Description: 3-dof configuration space planner for mobile robot
